Skip to main content

Uc Functions

View as Markdown

Create Function GA

POST /api/2.1/unity-catalog/functions

WARNING: This API is experimental and will change in future versions

Creates a new function

The user must have the following permissions in order for the function to be created:

  • USE_CATALOG on the function's parent catalog
  • USE_SCHEMA and CREATE_FUNCTION on the function's parent schema

API scopes: unity-catalog

Request body

function_infoobject

Partial FunctionInfo specifying the function to be created.

Show child attributesHide child attributes
namestring

Name of function, relative to parent schema.

catalog_namestring

Name of parent Catalog.

schema_namestring

Name of parent Schema relative to its parent Catalog.

input_paramsobject

Function input parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

data_typestring

Scalar function return data type.

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

full_data_typestring

Pretty printed function data type.

routine_bodystring

Function language. When EXTERNAL is used, the language of the routine function should be specified in the external_language field, and the return_params of the function cannot be used (as TABLE return type is not supported), and the sql_data_access field must be NO_SQL.

Values: SQL, EXTERNAL

routine_definitionstring

Function body.

parameter_stylestring

Function parameter style. S is the value for SQL.

Values: S

is_deterministicboolean

Whether the function is deterministic.

sql_data_accessstring

Function SQL data access.

Values: CONTAINS_SQL, READS_SQL_DATA, NO_SQL

is_null_callboolean

Function null call.

security_typestring

Function security type.

Values: DEFINER

specific_namestring

Specific name of the function; Reserved for future use.

return_paramsobject

Table function return parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

external_namestring

External function name.

external_languagestring

External function language.

sql_pathstring

List of schemes whose objects can be referenced without qualification.

ownerstring

Username of current owner of the function.

commentstring

User-provided free-form text description.

propertiesstring

JSON-serialized key-value pair map, encoded (escaped) as a string.

routine_dependenciesobject

function dependencies.

Show child attributesHide child attributes
dependenciesarray of object

Array of dependencies.

Show child attributesHide child attributes
tableobjectRequired
functionobjectRequired
connectionobjectRequired
credentialobjectRequired
metastore_idstring

Unique identifier of parent metastore.

full_namestring

Full name of Function, in form of catalog_name.schema_name.function_name

created_atint64

Time at which this function was created, in epoch milliseconds.

created_bystring

Username of function creator.

updated_atint64

Time at which this function was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the function.

function_idstring

Id of Function, relative to parent schema.

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

Response

namestring

Name of function, relative to parent schema.

catalog_namestring

Name of parent Catalog.

schema_namestring

Name of parent Schema relative to its parent Catalog.

input_paramsobject

Function input parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

data_typestring

Scalar function return data type.

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

full_data_typestring

Pretty printed function data type.

routine_bodystring

Function language. When EXTERNAL is used, the language of the routine function should be specified in the external_language field, and the return_params of the function cannot be used (as TABLE return type is not supported), and the sql_data_access field must be NO_SQL.

Values: SQL, EXTERNAL

routine_definitionstring

Function body.

parameter_stylestring

Function parameter style. S is the value for SQL.

Values: S

is_deterministicboolean

Whether the function is deterministic.

sql_data_accessstring

Function SQL data access.

Values: CONTAINS_SQL, READS_SQL_DATA, NO_SQL

is_null_callboolean

Function null call.

security_typestring

Function security type.

Values: DEFINER

specific_namestring

Specific name of the function; Reserved for future use.

return_paramsobject

Table function return parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

external_namestring

External function name.

external_languagestring

External function language.

sql_pathstring

List of schemes whose objects can be referenced without qualification.

ownerstring

Username of current owner of the function.

commentstring

User-provided free-form text description.

propertiesstring

JSON-serialized key-value pair map, encoded (escaped) as a string.

routine_dependenciesobject

function dependencies.

Show child attributesHide child attributes
dependenciesarray of object

Array of dependencies.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
table_full_namestring

Full name of the dependent table, in the form of catalog_name.schema_name.table_name.

functionobjectRequired
Show child attributesHide child attributes
function_full_namestring

Full name of the dependent function, in the form of catalog_name.schema_name.function_name.

connectionobjectRequired
Show child attributesHide child attributes
connection_namestring

Full name of the dependent connection, in the form of connection_name.

credentialobjectRequired
Show child attributesHide child attributes
credential_namestring

Full name of the dependent credential, in the form of credential_name.

metastore_idstring

Unique identifier of parent metastore.

full_namestring

Full name of Function, in form of catalog_name.schema_name.function_name

created_atint64

Time at which this function was created, in epoch milliseconds.

created_bystring

Username of function creator.

updated_atint64

Time at which this function was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the function.

function_idstring

Id of Function, relative to parent schema.

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

Delete Function GA

DELETE /api/2.1/unity-catalog/functions/{full_name_arg}

Deletes the function that matches the supplied name. For the deletion to succeed, the user must satisfy one of the following conditions:

  • Is the owner of the function's parent catalog
  • Is the owner of the function's parent schema and have the USE_CATALOG privilege on its parent catalog
  • Is the owner of the function itself and have both the USE_CATALOG privilege on its parent catalog and the USE_SCHEMA privilege on its parent schema

API scopes: unity-catalog

Parameters

full_name_argstringpath

The fully-qualified name of the function (of the form catalog_name.schema_name.function__name) .

forcebooleanquery

Force deletion even if the function is notempty.

Get Function GA

GET /api/2.1/unity-catalog/functions/{full_name_arg}

Gets a function from within a parent catalog and schema. For the fetch to succeed, the user must satisfy one of the following requirements:

  • Is a metastore admin
  • Is an owner of the function's parent catalog
  • Have the USE_CATALOG privilege on the function's parent catalog and be the owner of the function
  • Have the USE_CATALOG privilege on the function's parent catalog, the USE_SCHEMA privilege on the function's parent schema, and the EXECUTE privilege on the function itself

API scopes: unity-catalog

Parameters

full_name_argstringpath

The fully-qualified name of the function (of the form catalog_name.schema_name.function__name).

include_browsebooleanquery

Whether to include functions in the response for which the principal can only access selective metadata for

Response

namestring

Name of function, relative to parent schema.

catalog_namestring

Name of parent Catalog.

schema_namestring

Name of parent Schema relative to its parent Catalog.

input_paramsobject

Function input parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

data_typestring

Scalar function return data type.

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

full_data_typestring

Pretty printed function data type.

routine_bodystring

Function language. When EXTERNAL is used, the language of the routine function should be specified in the external_language field, and the return_params of the function cannot be used (as TABLE return type is not supported), and the sql_data_access field must be NO_SQL.

Values: SQL, EXTERNAL

routine_definitionstring

Function body.

parameter_stylestring

Function parameter style. S is the value for SQL.

Values: S

is_deterministicboolean

Whether the function is deterministic.

sql_data_accessstring

Function SQL data access.

Values: CONTAINS_SQL, READS_SQL_DATA, NO_SQL

is_null_callboolean

Function null call.

security_typestring

Function security type.

Values: DEFINER

specific_namestring

Specific name of the function; Reserved for future use.

return_paramsobject

Table function return parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

external_namestring

External function name.

external_languagestring

External function language.

sql_pathstring

List of schemes whose objects can be referenced without qualification.

ownerstring

Username of current owner of the function.

commentstring

User-provided free-form text description.

propertiesstring

JSON-serialized key-value pair map, encoded (escaped) as a string.

routine_dependenciesobject

function dependencies.

Show child attributesHide child attributes
dependenciesarray of object

Array of dependencies.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
table_full_namestring

Full name of the dependent table, in the form of catalog_name.schema_name.table_name.

functionobjectRequired
Show child attributesHide child attributes
function_full_namestring

Full name of the dependent function, in the form of catalog_name.schema_name.function_name.

connectionobjectRequired
Show child attributesHide child attributes
connection_namestring

Full name of the dependent connection, in the form of connection_name.

credentialobjectRequired
Show child attributesHide child attributes
credential_namestring

Full name of the dependent credential, in the form of credential_name.

metastore_idstring

Unique identifier of parent metastore.

full_namestring

Full name of Function, in form of catalog_name.schema_name.function_name

created_atint64

Time at which this function was created, in epoch milliseconds.

created_bystring

Username of function creator.

updated_atint64

Time at which this function was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the function.

function_idstring

Id of Function, relative to parent schema.

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

Update Function GA

PATCH /api/2.1/unity-catalog/functions/{full_name_arg}

Updates the function that matches the supplied name. Only the owner of the function can be updated. If the user is not a metastore admin, the user must be a member of the group that is the new function owner.

  • Is a metastore admin
  • Is the owner of the function's parent catalog
  • Is the owner of the function's parent schema and has the USE_CATALOG privilege on its parent catalog
  • Is the owner of the function itself and has the USE_CATALOG privilege on its parent catalog as well as the USE_SCHEMA privilege on the function's parent schema.

API scopes: unity-catalog

Parameters

full_name_argstringpath

The fully-qualified name of the function (of the form catalog_name.schema_name.function__name).

Request body

namestring

Name of function, relative to parent schema.

catalog_namestring

Name of parent Catalog.

schema_namestring

Name of parent Schema relative to its parent Catalog.

input_paramsobject

Function input parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

data_typestring

Scalar function return data type.

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

full_data_typestring

Pretty printed function data type.

routine_bodystring

Function language. When EXTERNAL is used, the language of the routine function should be specified in the external_language field, and the return_params of the function cannot be used (as TABLE return type is not supported), and the sql_data_access field must be NO_SQL.

Values: SQL, EXTERNAL

routine_definitionstring

Function body.

parameter_stylestring

Function parameter style. S is the value for SQL.

Values: S

is_deterministicboolean

Whether the function is deterministic.

sql_data_accessstring

Function SQL data access.

Values: CONTAINS_SQL, READS_SQL_DATA, NO_SQL

is_null_callboolean

Function null call.

security_typestring

Function security type.

Values: DEFINER

specific_namestring

Specific name of the function; Reserved for future use.

return_paramsobject

Table function return parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

external_namestring

External function name.

external_languagestring

External function language.

sql_pathstring

List of schemes whose objects can be referenced without qualification.

ownerstring

Username of current owner of the function.

commentstring

User-provided free-form text description.

propertiesstring

JSON-serialized key-value pair map, encoded (escaped) as a string.

routine_dependenciesobject

function dependencies.

Show child attributesHide child attributes
dependenciesarray of object

Array of dependencies.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
table_full_namestring

Full name of the dependent table, in the form of catalog_name.schema_name.table_name.

functionobjectRequired
Show child attributesHide child attributes
function_full_namestring

Full name of the dependent function, in the form of catalog_name.schema_name.function_name.

connectionobjectRequired
Show child attributesHide child attributes
connection_namestring

Full name of the dependent connection, in the form of connection_name.

credentialobjectRequired
Show child attributesHide child attributes
credential_namestring

Full name of the dependent credential, in the form of credential_name.

metastore_idstring

Unique identifier of parent metastore.

full_namestring

Full name of Function, in form of catalog_name.schema_name.function_name

created_atint64

Time at which this function was created, in epoch milliseconds.

created_bystring

Username of function creator.

updated_atint64

Time at which this function was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the function.

function_idstring

Id of Function, relative to parent schema.

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

Response

namestring

Name of function, relative to parent schema.

catalog_namestring

Name of parent Catalog.

schema_namestring

Name of parent Schema relative to its parent Catalog.

input_paramsobject

Function input parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

data_typestring

Scalar function return data type.

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

full_data_typestring

Pretty printed function data type.

routine_bodystring

Function language. When EXTERNAL is used, the language of the routine function should be specified in the external_language field, and the return_params of the function cannot be used (as TABLE return type is not supported), and the sql_data_access field must be NO_SQL.

Values: SQL, EXTERNAL

routine_definitionstring

Function body.

parameter_stylestring

Function parameter style. S is the value for SQL.

Values: S

is_deterministicboolean

Whether the function is deterministic.

sql_data_accessstring

Function SQL data access.

Values: CONTAINS_SQL, READS_SQL_DATA, NO_SQL

is_null_callboolean

Function null call.

security_typestring

Function security type.

Values: DEFINER

specific_namestring

Specific name of the function; Reserved for future use.

return_paramsobject

Table function return parameters.

Show child attributesHide child attributes
parametersarray of object
Show child attributesHide child attributes
namestring

Name of Parameter.

type_textstring

Full data type spec, SQL/catalogString text.

type_jsonstring

Full data type spec, JSON-serialized.

type_namestring

Name of type (INT, STRUCT, MAP, etc.)

Values: BOOLEAN, BYTE, SHORT, INT, LONG, FLOAT, DOUBLE, DATE, TIMESTAMP, STRING, BINARY, DECIMAL, INTERVAL, ARRAY, STRUCT, MAP, CHAR, NULL, USER_DEFINED_TYPE, TIMESTAMP_NTZ, VARIANT, GEOMETRY, GEOGRAPHY, TABLE_TYPE

type_precisionint32

Digits of precision; required on Create for DecimalTypes.

type_scaleint32

Digits to right of decimal; Required on Create for DecimalTypes.

type_interval_typestring

Format of IntervalType.

positionint32

Ordinal position of column (starting at position 0).

parameter_modestring

Function parameter mode.

Values: IN

parameter_typestring

Function parameter type.

Values: PARAM, COLUMN

parameter_defaultstring

Default value of the parameter.

commentstring

User-provided free-form text description.

external_namestring

External function name.

external_languagestring

External function language.

sql_pathstring

List of schemes whose objects can be referenced without qualification.

ownerstring

Username of current owner of the function.

commentstring

User-provided free-form text description.

propertiesstring

JSON-serialized key-value pair map, encoded (escaped) as a string.

routine_dependenciesobject

function dependencies.

Show child attributesHide child attributes
dependenciesarray of object

Array of dependencies.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
table_full_namestring

Full name of the dependent table, in the form of catalog_name.schema_name.table_name.

functionobjectRequired
Show child attributesHide child attributes
function_full_namestring

Full name of the dependent function, in the form of catalog_name.schema_name.function_name.

connectionobjectRequired
Show child attributesHide child attributes
connection_namestring

Full name of the dependent connection, in the form of connection_name.

credentialobjectRequired
Show child attributesHide child attributes
credential_namestring

Full name of the dependent credential, in the form of credential_name.

metastore_idstring

Unique identifier of parent metastore.

full_namestring

Full name of Function, in form of catalog_name.schema_name.function_name

created_atint64

Time at which this function was created, in epoch milliseconds.

created_bystring

Username of function creator.

updated_atint64

Time at which this function was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the function.

function_idstring

Id of Function, relative to parent schema.

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.